org.apache.cayenne.access.jdbc

## Class BindObjectNotEqualDirective

- java.lang.Object
- - org.apache.velocity.runtime.directive.Directive
  - - org.apache.cayenne.access.jdbc.BindDirective
    - - org.apache.cayenne.access.jdbc.BindObjectEqualDirective
      - - org.apache.cayenne.access.jdbc.BindObjectNotEqualDirective

- All Implemented Interfaces:
    Cloneable, org.apache.velocity.runtime.directive.DirectiveConstants

      public class BindObjectNotEqualDirective
      extends BindObjectEqualDirective

  A custom Velocity directive to create a set of SQL conditions to check unequality of an ObjectId of an object. Usage in Velocity template is "WHERE #bindObjectNotEqual($object)" or "WHERE #bindObjectNotEqual($object $columns $idValues)".
  Since:
    3.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.velocity.runtime.directive.Directive

      `rsvc`

    - ### Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants

      `BLOCK, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BindObjectNotEqualDirective()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `protected void` | `render(org.apache.velocity.context.InternalContextAdapter context, Writer writer, ParameterBinding binding)`
    `protected void` | `renderColumn(org.apache.velocity.context.InternalContextAdapter context, Writer writer, Object columnName, int columnIndex)`

    - ### Methods inherited from class org.apache.cayenne.access.jdbc.BindObjectEqualDirective

      `render, toArray, toIdMap`

    - ### Methods inherited from class org.apache.cayenne.access.jdbc.BindDirective

      `bind, getChild, getType, render`

    - ### Methods inherited from class org.apache.velocity.runtime.directive.Directive

      `getColumn, getLine, init, setLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindObjectNotEqualDirective

          public BindObjectNotEqualDirective()

  - ### Method Detail

    - #### getName

          public String getName()

      Overrides:
        `getName` in class `BindObjectEqualDirective`

    - #### renderColumn

          protected void renderColumn(org.apache.velocity.context.InternalContextAdapter context,
                                      Writer writer,
                                      Object columnName,
                                      int columnIndex)
                               throws IOException

      Overrides:
        `renderColumn` in class `BindObjectEqualDirective`
      Throws:
        `IOException`

    - #### render

          protected void render(org.apache.velocity.context.InternalContextAdapter context,
                                Writer writer,
                                ParameterBinding binding)
                         throws IOException

      Overrides:
        `render` in class `BindObjectEqualDirective`
      Throws:
        `IOException`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.